com.hazelcast.core

## Interface EntryView<K,V>

- Type Parameters:
    `K` - the type of the key
    `V` - the type of the value

      public interface EntryView<K,V>

  Represents a read-only view of a data structure entry.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCost()` Returns the cost (in bytes) of the entry.
    `long` | `getCreationTime()` Returns the creation time of the entry.
    `long` | `getExpirationTime()` Returns the expiration time of the entry.
    `long` | `getHits()` Returns number of hits of the entry.
    `K` | `getKey()` Returns the key of the entry.
    `long` | `getLastAccessTime()` Returns the last access time for the entry.
    `long` | `getLastStoredTime()` Returns the last time the value was flushed to its store (e.g.
    `long` | `getLastUpdateTime()` Returns the last time the value was updated.
    `Long` | `getMaxIdle()` Returns the last set max idle time in milliseconds.
    `long` | `getTtl()` Returns the last set time to live in milliseconds.
    `V` | `getValue()` Returns the value of the entry.
    `long` | `getVersion()` Returns the version of the entry.

- - ### Method Detail

    - #### getKey

          K getKey()

      Returns the key of the entry.
      Returns:
        the key of the entry

    - #### getValue

          V getValue()

      Returns the value of the entry.
      Returns:
        the value of the entry

    - #### getCost

          long getCost()

      Returns the cost (in bytes) of the entry.

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        the cost in bytes of the entry

    - #### getCreationTime

          long getCreationTime()

      Returns the creation time of the entry.

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        the creation time of the entry

    - #### getExpirationTime

          long getExpirationTime()

      Returns the expiration time of the entry.
      Returns:
        the expiration time of the entry

    - #### getHits

          long getHits()

      Returns number of hits of the entry.

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        number of hits of the entry

    - #### getLastAccessTime

          long getLastAccessTime()

      Returns the last access time for the entry.

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        the last access time for the entry

    - #### getLastStoredTime

          long getLastStoredTime()

      Returns the last time the value was flushed to its store (e.g. `MapStore`).

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        the last store time for the value

    - #### getLastUpdateTime

          long getLastUpdateTime()

      Returns the last time the value was updated.

      Warning: This method returns `-1` if statistics are not enabled or not implemented.

      Returns:
        the last time the value was updated

    - #### getVersion

          long getVersion()

      Returns the version of the entry.
      Returns:
        the version of the entry

    - #### getTtl

          long getTtl()

      Returns the last set time to live in milliseconds.
      Returns:
        the last set time to live in milliseconds.

    - #### getMaxIdle

          Long getMaxIdle()

      Returns the last set max idle time in milliseconds.
      Returns:
        the last set max idle time in milliseconds.

Copyright © 2020. All rights reserved.